package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundCount;
import com.tanpu.fund.entity.generator.FundCountExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FundCountMapper {
    long countByExample(FundCountExample example);

    int deleteByExample(FundCountExample example);

    int deleteByPrimaryKey(String id);

    int insert(FundCount record);

    int insertOrUpdate(FundCount record);

    int insertOrUpdateSelective(FundCount record);

    int insertOrUpdateWithBLOBs(FundCount record);

    int insertSelective(FundCount record);

    List<FundCount> selectByExampleWithBLOBs(FundCountExample example);

    List<FundCount> selectByExample(FundCountExample example);

    FundCount selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") FundCount record, @Param("example") FundCountExample example);

    int updateByExampleWithBLOBs(@Param("record") FundCount record, @Param("example") FundCountExample example);

    int updateByExample(@Param("record") FundCount record, @Param("example") FundCountExample example);

    int updateByPrimaryKeySelective(FundCount record);

    int updateByPrimaryKeyWithBLOBs(FundCount record);

    int updateByPrimaryKey(FundCount record);

    int updateBatch(List<FundCount> list);

    int updateBatchSelective(List<FundCount> list);

    int batchInsert(@Param("list") List<FundCount> list);
}